Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055750 - [RFE] Add API for "list of repos published with distributor X since Y"
Summary: [RFE] Add API for "list of repos published with distributor X since Y"
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Pulp
Classification: Retired
Component: API/integration
Version: Master
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
: ---
Assignee: pulp-bugs
QA Contact: pulp-qe-list
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-20 20:55 UTC by Dennis Gregorovic
Modified: 2015-02-28 23:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-19 01:12:21 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Pulp Redmine 214 None None None Never

Description Dennis Gregorovic 2014-01-20 20:55:17 UTC
I would like to get a list of all repos that have been published with the yum distributor in the last 24 hours.  It's possible to make this query one repo at a time, but that is not practical for a server with many repos.  Please add an API that takes the following inputs:
 * distributor_type_id (e.g. yum_distributor)
 * since_date
 * until_date (optional)

and returns a list of repositories like the /pulp/api/v2/repositories/search/ API.  In fact, it would be great if /pulp/api/v2/repositories/search/ could be extended to take the above fields as additional search criteria.

Comment 2 Brian Bouterse 2015-02-19 01:12:21 UTC
Moved to https://pulp.plan.io/issues/214


Note You need to log in before you can comment on or make changes to this bug.